ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToLlvm.Data

Description

Handle conversion of CmmData to LLVM code.

Synopsis

- genLlvmData :: (Section, RawCmmStatics) -> LlvmM LlvmData
- genData :: CmmStatic -> LlvmM LlvmStatic

# Documentation

genLlvmData :: (Section, RawCmmStatics) -> LlvmM LlvmData Source #

Pass a CmmStatic section to an equivalent Llvm code.

genData :: CmmStatic -> LlvmM LlvmStatic Source #

Handle static data